Name:           fiwalk
Version:        0.6.16
Release:        2%{?dist}
Summary:        Batch analysis of a disk image

Group:          Applications/System
License:        Public Domain
URL:            http://www.afflib.org
Source0:        http://www.afflib.org/downloads/fiwalk-%{version}.tar.gz
BuildRequires:  afflib-devel
BuildRequires:  libewf-devel
BuildRequires:  sleuthkit-devel
BuildRequires:  python-devel


%description
fiwalk is a program that processes a disk image using the SleuthKit library and outputs
its results in Digital Forensics XML, the Attribute Relationship File Format (ARFF)
format used by the Weka Datamining Toolkit, or an easy-to-read textual format.


%prep
%setup -q
chmod -x src/base64* src/fiwalk.cpp


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

#Install python module
mkdir -p $RPM_BUILD_ROOT%{python_sitelib}
install -pm 0644 python/fiwalk.py $RPM_BUILD_ROOT%{python_sitelib}

#Fix Makefile
rm python/Makefile{,.in}
ln -s Makefile.am python/Makefile



%files
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%doc python
%{_bindir}/fiwalk
%{_bindir}/jpeg_extract
%{_bindir}/test_arff
%{python_sitelib}/fiwalk.py*


%changelog
* Sun Jan 22 2012 Nicolas Chauvet <kwizart@gmail.com> - 0.6.16-2
- Update description
- Fix spurious exec permission
- Correct license field to Public Domain
- Install python examples in doc

* Mon Jan 16 2012 Nicolas Chauvet <kwizart@gmail.com> - 0.6.16-1
- Update to 0.6.16

* Mon Dec  7 2009 Nicolas Chuavet <kwizart@gmail.com> - 0.5.11-1
- Update to 0.5.11

* Wed Sep  2 2009 kwizart < kwizart at gmail.com > - 0.5.2-1
- Initial spec file
